Pukiwiki

説明

Pukiwiki1.4.7はPHP5.4に対応していないため、PHPをバージョンアップすると画面が真っ白になり表示されなくなってしまいます。
公式の1.5.0はPHP5.4に対応しており、そのパッチがありますので、それを適用させてあげることで使用し続けることができます。

手順

  1. http://sourceforge.jp/projects/pukiwiki/releases/61634から、自分のサーバーで使用している文字コードにあわせたパッチをダウンロードしてくる。
    Linuxであれば設定変更していなければ、大体UTF-8かと思われますが、念のためご確認ください。
  2. pukiwikiのデータがあるディレクトリへ、上記でダウンロードしたパッチを移動させます。
  3. which patchコマンドでpatchコマンドがインストールされていることを確認します。なければapt-getなり、yumなりでインストールします。
  4. 下記コマンドにて、パッチを適用します。
    [root]
    $ patch -p1 < update_pukiwiki_147to150_utf8.patch
  5. サイトが正常に稼働することを確認します。

参考URL:http://pukiwiki.osdn.jp/?PukiWiki/Install/Update/1.5.0


トップ   編集 凍結 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 単語検索 最終更新   ヘルプ   最終更新のRSS
Last-modified: 2015-09-23 (水) 14:00:53 (2053d)